import java.util.*;
public class LogMessageTester
{
    public static void main(String[] args)
    {
        /********** Tester Class **********
        * This class is for testing only.
        * You do not need to update this
        * file. Complete your work in the
        * SystemLog.java and LogMessage.java files
        *********************************/
        System.out.println("Testing Part A:");
        System.out.println();
        
        String message = "Webserver:disk offline";
        LogMessage test = new LogMessage(message);
        System.out.println("Testing the String Webserver:disk offline");
        System.out.println("MachineId: "+ test.getMachineId());
        System.out.println("Description: "+ test.getDescription());
        System.out.println("--------------------------");
        System.out.println("Testing Part B:");
        System.out.println();
        
        message = ":DISK";
        test = new LogMessage(message);
        System.out.println("Creating LogMessage: " + message);
        System.out.println("LogMessage contains disk: "+ test.containsWord("disk"));
        
        message = ":error on 3disk";
        LogMessage test2 = new LogMessage(message);
        System.out.println("Creating LogMessage: " + message);
        System.out.println("LogMessage contains disk: "+ test2.containsWord("disk"));

        message = ":error on /dev/disk disk";
        LogMessage test3 = new LogMessage(message);
        System.out.println("Creating LogMessage: " + message);
        System.out.println("LogMessage contains disk: "+ test3.containsWord("disk"));

        message = ":diskette";
        LogMessage test4 = new LogMessage(message);
        System.out.println("Creating LogMessage: " + message);
        System.out.println("LogMessage contains disk: "+ test4.containsWord("disk"));

        message = ":error on /dev/disk";
        LogMessage test5 = new LogMessage(message);
        System.out.println("Creating LogMessage: " + message);
        System.out.println("LogMessage contains disk: "+ test5.containsWord("disk"));
        System.out.println("--------------------------");

        System.out.println("Testing Part C:");
        System.out.println();
        
        ArrayList<LogMessage> messages = new ArrayList<LogMessage>();
        test = new LogMessage("Webserver:disk offline");
        System.out.println("New Log Message added to ArrayList: " + test.getDescription());
        
        test2 = new LogMessage("CLIENT3:security alert – repeated login failures");
        System.out.println("New Log Message added to ArrayList: " + test2.getDescription());

        test3 = new LogMessage("SERVER1:file not found");
        System.out.println("New Log Message added to ArrayList: " + test3.getDescription());

        messages.add(test);
        messages.add(test2);
        messages.add(test3);
        
        SystemLog testMessage = new SystemLog(messages);
        System.out.println("Creating a SystemLog Object");
        System.out.println("Removing all messages with the word disk...");
        
        ArrayList<LogMessage> removed = testMessage.removeMessages("disk");
        System.out.println("Messages removed: "+ removed.get(0).getDescription());
    }
}
